Package org.eclipse.rdf4j.common.webapp.navigation

## Class View

- java.lang.Object
- - org.eclipse.rdf4j.common.webapp.navigation.AbstractNavigationNode
  - - org.eclipse.rdf4j.common.webapp.navigation.View

- All Implemented Interfaces:
    `Cloneable`, `NavigationNode`

      public class View
      extends AbstractNavigationNode

  View represents a "leaf" in the navigation model, for example a page in a website.
  Author:
    Herko ter Horst

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.webapp.navigation.AbstractNavigationNode

      `i18n, icon, path, viewSuffix`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `View​(String id)` | Construct a new view with the specified ID.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `clone()` |
    `String` | `getPath()` |

    - ### Methods inherited from class org.eclipse.rdf4j.common.webapp.navigation.AbstractNavigationNode

      `copyCommonAttributes, equals, getDepth, getI18n, getI18nPrefix, getI18nSeparator, getI18nSuffix, getIcon, getIconPrefix, getIconSeparator, getIconSuffix, getId, getParent, getPathPrefix, getPathSeparator, getViewSuffix, hashCode, isEnabled, isHidden, isParent, setEnabled, setHidden, setI18n, setIcon, setParent, setPath, setViewSuffix`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### View

          public View​(String id)

      Construct a new view with the specified ID.
      Parameters:
        `id` - the ID of the view

  - ### Method Detail

    - #### getPath

          public String getPath()

      Specified by:
        `getPath` in interface `NavigationNode`
      Overrides:
        `getPath` in class `AbstractNavigationNode`

    - #### clone

          public Object clone()

      Overrides:
        `clone` in class `Object`